
/*
 *
 * XmpMrm.c - Xmp widget Mrm registration.
 *
 */

#include <Mrm/MrmPublic.h>
#include "XmpMrm.h"
#include "Caption.h"
#include "Grid.h"
#include "Bezel.h"

/*
 * XmpMrmInitialize - register Xmp widget classes with Mrm
 */

int XmpMrmInitialize(void)
{
    MrmRegisterClass (MrmwcUnknown, "XmpGrid",
			"XmpCreateGrid", XmpCreateGrid,
			xmpGridWidgetClass);
    MrmRegisterClass (MrmwcUnknown, "XmpCaption",
			"XmpCreateCaption", XmpCreateCaption,
			xmpCaptionWidgetClass);
    MrmRegisterClass (MrmwcUnknown, "XmpBezel",
			"XmpCreateBezel", XmpCreateBezel,
			xmpBezelWidgetClass);
    return (0);
}


